/**
 *
 * Copyright (C) 2013 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/
#include "Node.h"

// Constructors/Destructors
//  

Node::Node ( ) {}

Node::Node ( const Parameters& p) {
  Node::p = p;
 }

Node::Node (const Node& n ){ 
  Node::p = n.p;
}

Node::~Node ( ) { }

void Node::setParameters(const Parameters& p){
  Node::p = p;
}


Parameters Node::getParameters(){
  return p;
}

//  
// Methods
//  

// Accessor methods
//  


// Other methods
//  


