/**
 *
 * Copyright (C) 2013 Olivier Berthier
 *                    http://www.xunil.fr
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 **/
#ifndef INTERSECTIONS_H
#define INTERSECTIONS_H

#include <iostream>
#include <string>
//#include <array>
#include "Vector.h"
#include "Parameters.h"

/**
 * class Intersections
 *  Ne garder que le min et le max sans tableau => coup de boost
 */

class Intersections
{

 public:

  Intersections(){ Intersections::n = 0;}
  ~Intersections(){}


  // std::array<Parameters,100> getTab();
  
  void append(Parameters p){
    /*tab[n] = p;
    if(n==0){ 
      min = tab[n];  
      max = tab[n];
      //      printf("A=>%f\n",max->getDistance());
    }else{
      if(min.getDistance()>p.getDistance()) min = tab[n];
      //      printf("B=>%f\n",max->getDistance());
      if(max.getDistance()<p.getDistance()) max = tab[n];
      }*/
    if(n==0){
      min = p;
      max = p;
    }else{
      if(min.getDistance()>p.getDistance()) min = p;
      if(max.getDistance()<p.getDistance()) max = p;
    }
    n++;
    
  } 
  int size() const { return n;}
  /**
   * Faire un Intersections::inside() avant pour tester l'existance du point
   */
  Parameters find(const Parameters& p) const{ 
    /*    int i;
    for(i=0;i<n;i++)
      if(tab[i].equals(p)) return tab[i];
      return tab[n];*/
    if(p.equals(min)) return min;
    else return max;
  }
  bool inside(const Parameters& p){
    /*    int i;
    for(i=0;i<n;i++) 
    if(tab[i].equals(p)) return 1;*/
    if(min.equals(p)) return 1;
    if(max.equals(p)) return 1;
    return 0;
  }
  Parameters first() const { return min; }
  Parameters last() const { return max; }
 protected:
 private:
  //  std::array<Parameters,100> tab;
  Parameters min;
  Parameters max;
  int n;

};

#endif // INTERSECTIONS_H
